From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: Fri, 8 Aug 97 11:48:17 +0200
To: linux-m68k@phil.uni-sb.de
Subject: Re: L68K: Video patches for 2.1.47
References: <Pine.LNX.3.96.970806095406.2120B-100000@mercator.cs.kuleuven.ac.be>
X-Yow: I haven't been married in over six years, but we had sexual counseling
 every day from Oral Roberts!!
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Here's a patch to fix some problems (menuconfig gets confused about
improperly nested mainmenu_option/endmenu commands).

|> Caveat: there's a known problem with loadable frame buffer devices and usage
|> counts. If you use kerneld, it will unload the frame buffer device after some
|> time while it's still in use. Any clues are welcome.

Does lsmod actually display a nonzero use count?

Andreas.


--- arch/m68k/config.in.~2~	Wed Aug  6 17:39:17 1997
+++ arch/m68k/config.in	Wed Aug  6 17:39:32 1997
@@ -214,9 +214,6 @@
 
 source fs/Config.in
 
-mainmenu_option next_comment
-comment 'Frame buffer devices'
-
 define_bool CONFIG_FB y
 source drivers/video/Config.in
 
--- drivers/char/abscon.c.~1~	Wed Aug  6 18:15:25 1997
+++ drivers/char/abscon.c	Wed Aug  6 18:15:38 1997
@@ -237,12 +237,10 @@
 
 void scrollback(int lines)
 {
-    printk("scrollback(%d)\n", lines);
 }
 
 void scrollfront(int lines)
 {
-    printk("scrollfront(%d)\n", lines);
 }
 
 void set_palette(void)
--- drivers/video/Config.in.~1~	Wed Aug  6 18:17:18 1997
+++ drivers/video/Config.in	Wed Aug  6 18:17:47 1997
@@ -3,6 +3,10 @@
 #
 
 if [ "$CONFIG_FB" = "y" ]; then
+
+  mainmenu_option next_comment
+  comment 'Frame buffer devices'
+
   if [ "$CONFIG_AMIGA" = "y" ]; then
     bool 'Amiga native chipset support' CONFIG_FB_AMIGA
     if [ "$CONFIG_FB_AMIGA" != "n" ]; then
@@ -63,6 +67,6 @@
 #      define_bool CONFIG_FBCON_MACH64 y
 #    fi
   fi
-fi
 
-endmenu
+  endmenu
+fi
--- include/linux/selection.h.~2~	Wed Aug  6 18:12:55 1997
+++ include/linux/selection.h	Wed Aug  6 18:13:07 1997
@@ -116,7 +116,7 @@
 }
 
 #elif defined(CONFIG_SUN_CONSOLE)
-#include "vt_kern.h"
+#include <linux/vt_kern.h>
 #include <linux/kd.h>
 extern int sun_blitc(unsigned int, unsigned long);
 extern void memsetw(void * s, unsigned short c, unsigned int count);
